POST /issues/{id}/retry
Retries all failed delivery attempts for this issue's destination since the issue first appeared.

Authentication

API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)

Path Parameters

id string required path
Resource ID (32-char hex)
Example: "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"

Responses

200 Retry result
application/json
retried number REQUIRED
total number REQUIRED
401 Unauthorized
404 Not found
curl -X POST 'https://hookstream.io/v1/issues/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/retry' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/issues/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/retry', {  method: 'POST',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://hookstream.io/v1/issues/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/retry', headers=headers)print(response.json())
package mainimport (	"fmt"	"io"	"net/http")func main() {	req, _ := http.NewRequest("POST", "https://hookstream.io/v1/issues/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/retry", nil)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "retried": 123,  "total": 123}